/**
 Changes by SSA.

**/

@font-face {
  font-family: "SF Pro Rounded";
  src: url("../fonts/FontsFree-Net-SF-Pro-Rounded-Regular.ttf");
}

:root {
  --primary: #9381ff;

  --primary-alpha: #9381ff88;
  --primary-alpha-400: #9381ffaa;

  --main-card: linear-gradient(90deg, var(--primary) 0%, var(--primary) 100%);

  --top-arrow: white;

  --t-head-color: white;

  --table-animation-color: linear-gradient(90deg, var(--primary-alpha) 0%, var(--primary-alpha) 100%);

  --a-hover: white;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
}

option {
  background-color: var(--primary);
}
/* 
.flex {
  display: flex;
  gap: 1rem;
  flex-direction: row;
} */

#aliasSelect,
#deviceSelect {
  background-color: transparent;
  color: white;
  border-radius: 3px;
  margin-left: 15px;
  border-color: white;
}

/* .dashboard-li .side-icon {
  color: #149ddd;
} */

.dashboard-li span {
  color: white;
}

nav ul li.active {
  background-color: #fff2;
  border-radius: 10px;
}

#err {
  height: 40px;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  text-align: center;
  background-color: rgb(201, 50, 23);
  visibility: hidden;
  color: white;
  font-family: Arial, Helvetica, sans-serif;
  padding: 5px;
  z-index: 50;
}
.rounded-circle {
  border-radius: 0% !important;
}

.login-cloud img {
  height: 100px;
  position: absolute;
  top: 35px;
  left: 20px;
}

#companyName {
  font-size: 15px;
  font-weight: 600;
}

#email,
#pass {
  border-radius: 5px;
}

.my-row {
  color: var(--table-words);
  cursor: pointer;
}

/* Style the active class, and buttons on mouse-over */
.my-row:hover,
.my-row.active {
  background: var(--table-animation-color);
  color: white;
}

.__collapse {
  background: var(--primary);
  color: white;
}

.top-arrow {
  color: var(--top-arrow);
}

.t-head {
  background: var(--primary);
  color: var(--t-head-color);
}

.graph-head-color {
  background: var(--primary);
}

.main-card {
  background: var(--main-card);
  position: relative;
  overflow: hidden;
}

.main-card::before {
  content: "";
  position: absolute;
  left: 0;
  clip-path: polygon(25% 0%, 100% 0%, 75% 100%, 0% 100%);
  height: 100%;
  width: 100%;
  background: white;
  mix-blend-mode: overlay;
  opacity: 10%;
}

.top-heading {
  color: var(--primary);
  font-size: 30px;
  width: fit-content;
}

#value,
#unit,
#parameter {
  color: white;
}

#value {
  font-size: 70px;
}

#unit {
  font-size: 20px;
}

#parameter {
  font-size: 20px;
}

#header {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  width: 250px;
  height: 100vh;
  /* transition: all ease-in-out 0.5s; */
  z-index: 9997;
  transition: all 0.3s;
  padding: 0 15px;
  background: var(--primary);
  overflow-y: auto;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  padding-top: 40px;
}

.sidebar {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  align-items: center;
}

#header .profile {
  width: 200px;
  /* height: 120px; */
  border-radius: 20px;
  background-color: white;
}

#header .profile img {
  margin: 15px auto;
  display: block;
  width: 220px;
}

#header .profile h1 {
  font-size: 24px;
  margin: 0;
  padding: 0;
  font-weight: 600;

  text-align-last: center;
  font-family: "Poppins", sans-serif;
}

#header .profile h1 a,
#header .profile h1 a:hover {
  color: #fff;
  text-decoration: none;
}

#header .profile .social-links a {
  font-size: 18px;
  display: inline-block;
  background: #212431;
  color: #fff;
  line-height: 1;
  padding: 8px 0;
  margin-right: 4px;
  border-radius: 50%;
  text-align: center;
  width: 36px;
  height: 36px;
  transition: 0.3s;
}

#header .profile .social-links a:hover {
  background: #149ddd;
  color: #fff;
  text-decoration: none;
}

#main {
  margin-left: 250px;
}

@media (max-width: 1199px) {
  #header {
    left: -300px;
  }
  #main {
    margin-left: 0;
  }
}

@media (max-width: 470px) {
  .top-heading {
    font-size: 20px;
  }
}

/*--------------------------------------------------------------
# Navigation Menu
--------------------------------------------------------------*/
/* Desktop Navigation */
.nav-menu {
  padding-top: 30px;
}

.nav-menu * {
  margin: 0;
  padding: 0;
  list-style: none;
}

.nav-menu > ul > li {
  position: relative;
  white-space: nowrap;
}

.nav-menu a {
  display: flex;
  align-items: center;
  color: #fff;
  padding: 12px 15px;
  margin-bottom: 8px;
  transition: 0.3s;
  font-size: 15px;
}

.nav-menu a i {
  font-size: 24px;
  padding-right: 8px;
  color: #fff;
}

.nav-menu a:hover,
.nav-menu li:hover > a {
  text-decoration: none;
  color: var(--a-hover);
}

.nav-menu a:hover i,
.nav-menu li:hover > a i {
  /* color: var(--icon-hover); */
}

/* Mobile Navigation */
.mobile-nav-toggle {
  position: fixed;
  right: 15px;
  top: 15px;
  z-index: 9998;
  border: 0;
  background: none;
  font-size: 24px;
  transition: all 0.4s;
  outline: none !important;
  line-height: 1;
  cursor: pointer;
  text-align: right;
}

.mobile-nav-toggle i {
  color: #149ddd;
}

.mobile-nav-active {
  overflow: hidden;
}

.mobile-nav-active #header {
  left: 0;
}

.mobile-nav-active .mobile-nav-toggle i {
  color: #fff;
}

::-webkit-scrollbar {
  display: none;
}

li {
  list-style: none;
  text-decoration: none;
}

li a {
  list-style: none;
  text-decoration: none;
}
